/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/

/*
 *@Note
 模拟IIC驱动OLED屏：
PA1连接OLED屏的SDA引脚
PA2连接OLED屏的SCL引脚

*/

#include "debug.h"
#include "iic.h"
#include "oled.h"
#include "bmp.h"

/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    u8 t=' ';
    Delay_Init();
    OLED_Init();
    OLED_ColorTurn(0);    //0正常显示，1 反色显示
    OLED_DisplayTurn(0);  //0正常显示 1 屏幕翻转显示
    while(1)
    {
        OLED_ShowPicture(0,0,128,64,BMP2,1);
        OLED_Refresh();
        Delay_Ms(500);
        OLED_Clear();
        OLED_ShowChinese(0,0,0,16,1); //沁
        OLED_ShowChinese(18,0,1,16,1);//恒
        OLED_ShowChinese(36,0,2,16,1);//单
        OLED_ShowChinese(54,0,3,16,1);//片
        OLED_ShowChinese(72,0,4,16,1);//机

        OLED_ShowString(0,16,"IIC driving OLED",16,1);
        OLED_ShowString(20,32,"2021/02/21",16,1);
        OLED_ShowString(0,48,"ASCII:",16,1);
        OLED_ShowString(63,48,"CODE:",16,1);
        OLED_ShowChar(48,48,t,16,1);//显示ASCII字符
        t++;
        if(t>'~')t=' ';
        OLED_ShowNum(103,48,t,3,16,1);
        OLED_Refresh();
        Delay_Ms(500);
        OLED_Clear();
        OLED_ShowString(0,0,"ABC",8,1);//6*8 “ABC”
        OLED_ShowString(0,8,"ABC",12,1);//6*12 “ABC”
        OLED_ShowString(0,20,"ABC",16,1);//8*16 “ABC”
        OLED_ShowString(0,36,"ABC",24,1);//12*24 “ABC”
        OLED_Refresh();
        Delay_Ms(500);
        OLED_ScrollDisplay(5,4,1);
    }
}

